###################################################
### chunk number 1: 
###################################################
library(gRain)
options("prompt"="> ","width"=85)


###################################################
### chunk number 2: 
###################################################
yn <- c("yes","no")
a    <- cptable(~asia, values=c(1,99),levels=yn)
t.a  <- cptable(~tub+asia, values=c(5,95,1,99),levels=yn)
s    <- cptable(~smoke, values=c(5,5), levels=yn)
l.s  <- cptable(~lung+smoke, values=c(1,9,1,99), levels=yn)
b.s  <- cptable(~bronc+smoke, values=c(6,4,3,7), levels=yn)
e.lt <- cptable(~either+lung+tub,values=c(1,0,1,0,1,0,0,1),levels=yn)
x.e  <- cptable(~xray+either, values=c(98,2,5,95), levels=yn)
d.be <- cptable(~dysp+bronc+either, values=c(9,1,7,3,8,2,1,9), levels=yn)


###################################################
### chunk number 3: 
###################################################
plist <- compileCPT(list(a, t.a, s, l.s, b.s, e.lt, x.e, d.be))
in1 <- grain(plist)
in1


###################################################
### chunk number 4: 
###################################################
querygrain(in1,nodes=c("lung","bronc"), type="marginal")


###################################################
### chunk number 5: 
###################################################
querygrain(in1,nodes=c("lung","bronc"), type="joint")


###################################################
### chunk number 6: 
###################################################
in12  <- setFinding(in1,nodes=c("asia","dysp"),states=c("yes","yes"))


###################################################
### chunk number 7: 
###################################################
querygrain(in12,nodes=c("lung","bronc"))
querygrain(in12,nodes=c("lung","bronc"), type="joint")


###################################################
### chunk number 8: 
###################################################
in13  <- setFinding(in1,nodes=c("either","tub"),states=c("no","yes"))


###################################################
### chunk number 9: 
###################################################
pFinding(in13)


###################################################
### chunk number 10: 
###################################################
querygrain(in13,nodes=c("lung","bronc"), type="joint")


